<?xml version="1.0" encoding="UTF-8"?>
<ehcache xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="http://ehcache.org/ehcache.xsd"
        updateCheck="false" name="moleculeDatabaseCacheManager">
    <sizeOfPolicy maxDepth="100" maxDepthExceededBehavior="abort"/>
    <defaultCache eternal="true" maxElementsInMemory="100" overflowToDisk="false" />
    <cache
        name="compoundStructureQuery"
        maxElementsInMemory="1000"
        eternal="false"
        timeToLiveSeconds="86000"
        overflowToDisk="false"
        memoryStoreEvictionPolicy="LFU"
    />
    <cache
        name="containableStructureQuery"
        maxElementsInMemory="1"
        eternal="false"
        timeToLiveSeconds="86000"
        overflowToDisk="false"
        memoryStoreEvictionPolicy="LFU"
    />
    <cache
        name="containerStructureQuery"
        maxElementsInMemory="1"
        eternal="false"
        timeToLiveSeconds="86000"
        overflowToDisk="false"
        memoryStoreEvictionPolicy="LFU"
    />
    <cache
        name="chemicalStructure"
        maxElementsInMemory="1000"
        eternal="false"
        timeToLiveSeconds="86000"
        overflowToDisk="false"
        memoryStoreEvictionPolicy="LFU"
    />
    <cache
        name="org.bitbucket.kienerj.moleculedatabaseframework.entity.ChemicalStructure"
        maxElementsInMemory="1000"
        eternal="false"
        timeToLiveSeconds="86000"
        overflowToDisk="false"
        memoryStoreEvictionPolicy="LFU"
    />
</ehcache>
